<div id="plans" class="page-layout carded fullwidth" fusePerfectScrollbar>

    <!-- TOP BACKGROUND -->
    <div class="top-bg {{secondColorBrand}}"></div>
    <!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

      <!-- HEADER -->
      <div class="header white-fg"
            fxLayout="row" fxLayoutAlign="space-between center">

          <!-- APP TITLE -->
          <div fxLayout="row" fxLayoutAlign="start center">

              <button class="mr-16" mat-icon-button [routerLink]="'/plans-cancel'">
                  <mat-icon>arrow_back</mat-icon>
              </button>

              <div fxLayout="column" fxLayoutAlign="start start"
                    *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                  <div class="h2">
                      {{plan.relationships?.user?.name}}
                  </div>
                  <div class="subtitle secondary-text">
                      <span>{{plan.relationships?.offer?.name}}</span>
                  </div>
              </div>
          </div>
          <!-- / APP TITLE -->

      </div>
      <!-- / HEADER -->

      <!-- CONTENT CARD -->
      <div class="content-card mat-white-bg">

          <!-- CONTENT -->
        <div class="content">
      
          <div class="tab-content p-24" fusePerfectScrollbar>

            <div class="panel">
                <div class="panel-title">
                  <span><mat-icon>description</mat-icon></span>
                  <span>&nbsp;Plano</span>
                </div>
                <div class="panel-content">
                  <form [formGroup]="planForm" novalidate>
                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                      
                      <mat-form-field fxFlex="100">
                        <input matInput placeholder="Plano" formControlName="name" required>
                      </mat-form-field>
                    </div>
  
                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                      
                      <mat-form-field fxFlex="50">
                        <input matInput placeholder="Cancelado em" formControlName="cancelDate" required>
                      </mat-form-field>
                    
                      <mat-form-field fxFlex="50">
                        <input matInput placeholder="Cancelado por" formControlName="cancelUser" required>
                      </mat-form-field>
                      
                    </div> 
                    
                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                      
                        <mat-form-field fxFlex="50">
                          <input matInput placeholder="Reativado em" formControlName="reactivateDate" required>
                        </mat-form-field>
                      
                        <mat-form-field fxFlex="50">
                          <input matInput placeholder="Reativado por" formControlName="reactivateUser" required>
                        </mat-form-field>
                        
                      </div>                   
                  </form> 
                </div>
            </div>

            <div class="panel">
              <div class="panel-title">
                  <span><mat-icon>assignment_ind</mat-icon></span>
                  <span>&nbsp;Cliente</span>
              </div>
              <div class="panel-content">
                <form [formGroup]="customerForm" novalidate>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    <mat-form-field fxFlex="100">
                      <input matInput placeholder="Nome" formControlName="name" required>
                    </mat-form-field>
                  </div>
                </form>
              </div>      
            </div>

            <div class="panel">
              <div class="panel-title">
                <span><mat-icon>directions_car</mat-icon></span>
                <span>&nbsp;Veículo</span>
              </div>
              <div class="panel-content">
                <form [formGroup]="vehicleForm">
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  
                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="Marca" formControlName="manufacturer" required>
                    </mat-form-field>
                
                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="Modelo" formControlName="model" required>
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    
                    <mat-form-field fxFlex="33">
                      <input matInput placeholder="Ano de fabricação" formControlName="manufacturerYear" required>
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="34">
                      <input matInput placeholder="Ano do modelo" formControlName="modelYear" required>
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="33">
                      <input matInput placeholder="Cor" formControlName="color" required>
                    </mat-form-field>          
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    
                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="Placa" formControlName="licensePlate" required>
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="Chassi" formControlName="chassi" required>
                    </mat-form-field>
                  </div>

                </form>
              </div>
            </div>

            <div *ngIf="true" fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
              <button type="button" mat-raised-button (click)="cancel()">Voltar</button>
              <button type="button" color="primary" mat-raised-button (click)="reactivatePlan()">Reativar Plano</button>
            </div>              

          </div>
      </div>
      <!-- / CONTENT -->

  </div>
  <!-- / CONTENT CARD -->

</div>
<!-- / CENTER -->
</div>    